<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['net.ihe.gazelle.xdstar.TestReport']}</h1>
      <rich:messages globalOnly="true" styleClass="message"/>
      <s:div id="globalDiv">
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThisIdIsNotLinkedToAnExistingMessage']}" rendered="#{kMsgRespManager.selectedMessage == null}"/>
        <gri:panel rendered="#{kMsgRespManager.selectedMessage != null}" id="globpan">
          <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.MessageTransaction']}</f:facet>
          <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThisTestHasBeenProcessedWith']} #{messages['net.ihe.gazelle.xdstar.XDStarClient_2']} #{messages['net.ihe.gazelle.xdstar.On']} #{kMsgRespManager.selectedMessage.timeStamp}"/>
          <br/>
          <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
            <h:outputText value="#{kMsgRespManager.selectedMessage.transaction}"/>
          </s:decorate>
          <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
            <h:outputText value="#{kMsgRespManager.selectedMessage.affinityDomain}"/>
          </s:decorate>
          <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PermanentLink']}</ui:define>
            <h:outputLink value="#{kMsgRespManager.getFullPermanentLink(kMsgRespManager.selectedMessage)}" target="_blank">
              <h:outputText value="#{kMsgRespManager.getFullPermanentLink(kMsgRespManager.selectedMessage)}"/>
            </h:outputLink>
          </s:decorate>
          <gri:tabPanel id="actorTabPanel" switchType="client" rendered="#{kMsgRespManager.selectedMessage != null}">
            <gri:tab id="Request" immediate="true" name="Request" head="#{messages['net.ihe.gazelle.xdstar.Request']}">
              <h:panelGrid columns="3">
                <h:commandButton id="downreq" action="#{kMsgRespManager.downloadResponse()}" value="#{messages['net.ihe.gazelle.xdstar.DownloadRequestMessage']}" styleClass="gzl-btn-green"/>
                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}" action="#{kMsgRespManager.validateWithEVSClient(kMsgRespManager.stringResponseContent)}" target="_blank"/>
              </h:panelGrid>
              <gdk:insert id="highlightRequestcontent" content="#{kMsgRespManager.stringResponseContent}" highlight="xml"/>
            </gri:tab>
            <gri:tab id="Response" immediate="true" name="Response" head="#{messages['net.ihe.gazelle.xdstar.Response']}">
              <h:panelGrid columns="3">
                <h:commandButton id="downresp" action="#{kMsgRespManager.downloadRequest()}" value="#{messages['net.ihe.gazelle.xdstar.DownloadResponseMessage']}" styleClass="gzl-btn-green"/>
                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}" action="#{kMsgRespManager.validateWithEVSClient(kMsgRespManager.stringRequestContent)}" target="_blank"/>
              </h:panelGrid>
              <gdk:insert id="highlightResponsecontent" content="#{kMsgRespManager.stringRequestContent}" highlight="xml"/>
            </gri:tab>
          </gri:tabPanel>
        </gri:panel>
      </s:div>
    </h:form>
  </ui:define>
</ui:composition>
